Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1354468 - Mongoose 6.11 is available
Summary: Mongoose 6.11 is available
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: mongoose
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rafael Aquini
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-11 11:50 UTC by Jiri Kastner
Modified: 2018-06-07 18:04 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:32:26 UTC


Attachments (Terms of Use)

Description Jiri Kastner 2016-07-11 11:50:54 UTC
Description of problem:
latest version is 6.4, development moved from code.google.com to github, pages are now https://www.cesanta.com/products/mongoose

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
https://en.wikipedia.org/wiki/Mongoose_(web_server)
https://www.cesanta.com/products/mongoose
https://github.com/cesanta/mongoose/releases

Comment 1 Jan Kurik 2016-07-26 04:05:53 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 2 Fedora End Of Life 2017-11-16 18:36:59 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2017-12-12 10:32:26 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 4 Sergio Monteiro Basto 2018-02-19 05:20:34 UTC
mongoose code is available on github

https://github.com/cesanta/mongoose/releases

Comment 5 Rafael Aquini 2018-02-19 13:25:24 UTC
(In reply to Sergio Monteiro Basto from comment #4)
> mongoose code is available on github
> 
> https://github.com/cesanta/mongoose/releases

When CESANTA bought the software rights from its original author, back in 2013 they had introduced a twisted LICENCE as well some issues to retrieve the source code. I've avoided updating it initially due to that, as it's better to have software working despite old, than bring in fancy new stuff with legal disputes.
Seems that they're clearly stating on the github, now, that they're dual licenced and the redistribution can be done under GPL-V2 umbrella.

All that said, I'll soon take a look on what is required for the upgrade.

== Rafael

Comment 6 Sergio Monteiro Basto 2018-02-19 16:38:12 UTC
https://github.com/cesanta/mongoose/blob/master/LICENSE

 you can redistribute it and/or modify
it under the terms of the GNU General Public License version 2 as
published by the Free Software Foundation. For the terms of this
license, see <http://www.gnu.org/licenses/>.


i.e I think just incompatible software linkage with GPLv2 we may have license problems , I'm not a lawyer . 

well the best is ask advises to legal department . 

smplayer bundle one version of mongoose ...

Comment 7 Sergio Monteiro Basto 2018-02-19 16:44:30 UTC
(In reply to Rafael Aquini from comment #5)

> Seems that they're clearly stating on the github, now, that they're dual
> licenced and the redistribution can be done under GPL-V2 umbrella.

yes 


(*)I think, just incompatible software linkage with GPLv2 it may have license problems , but I'm not a lawyer .

Comment 8 Fedora End Of Life 2018-02-20 15:21:31 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 9 Sergio Monteiro Basto 2018-02-20 18:44:27 UTC
Hi , for some reason build for mass rebuild of GCC 8 doesn't not triggered [1]
I test build locally and mongoose-3.1-12.fc28.x86_64.rpm builds fine . 
So please can you do one git pull && fedpkg build on mongoose git master .

Thanks.


[1] 
https://koji.fedoraproject.org/koji/packageinfo?packageID=10693

Comment 10 Tom "spot" Callaway 2018-06-07 18:04:02 UTC
This code is clearly dual licensed under "GPLv2" or a "commercial license". Since we have no need or interest for a "Commercial License" in Fedora (the GPLv2 works just fine for us), I see no reason why this could not be included. Lifting FE-Legal.


Note You need to log in before you can comment on or make changes to this bug.